
//メモを編集
function edit_entry_memo(){
	var str = prompt("メモを入力して下さい",$("entry_description").value);
	
	if(str == null)return;
	
	$("entry_memo").innerHTML = str;
	$("entry_description").value = str;
	
	if(!str){
		$("entry_memo_wrapper").hide();
	}else{
		$("entry_memo_wrapper").show();
	}
}

//ラベルを作成
function create_label(){
	var str = prompt("新しいラベル名を入力してください","");
	if(str == null || str.length < 1)return;
	
	new Ajax.Request(CreateLabelLink,{
		method:"post",
		parameters:"caption="+encodeURI(str),
		onSuccess:function(result){
			var obj = eval('('+result.responseText+')');
			if(obj.result == 1){
				var checkbox = document.createElement("input");
				checkbox.type = "checkbox";
				checkbox.value = obj.labelId;
				checkbox.onclick = function(){
					if(this.checked){
						$('entry_label_memo_'+this.value).show();
					}else{
						$('entry_label_memo_'+this.value).hide();
					}
				}
				checkbox.id = 'entry_label_memo_'+obj.labelId;
				checkbox.name = 'label[]';
				
				var wrapper = document.createElement("div");
				wrapper.setAttribute("class","label_wrapper");
				wrapper.setAttribute("className","label_wrapper");
								
				var label = document.createElement("label");
				label.setAttribute("for",checkbox.id);
				label.appendChild(document.createTextNode(str));
				
				var labelmemo = document.createElement("p");
				labelmemo.innerHTML = "["+str+"]が設定されています。";
				labelmemo.id = 'entry_label_memo_'+obj.labelId;
				labelmemo.style.display = "none";			

				wrapper.appendChild(checkbox);
				wrapper.appendChild(label);
				
				$("labels_wrapper").appendChild(wrapper);
				$("labelmemos").appendChild(labelmemo);
			}
			alert(obj.message);
		},
		onFailure:function(result){
			alert("失敗");
		}
	});
}

function toggle_labelmemo(value,checked){
	if(checked){
		$('entry_label_memo_'+ value).show();
		
		$$('.toggled_by_label_' + value).each(function(ele){
			ele.show();
		});
		
	}else{
		$('entry_label_memo_'+ value).hide();
		
		$$('.toggled_by_label_' + value).each(function(ele){
			ele.hide();
		});
	}
	
	if(is_ie){
		$('entry_content_wrapper').style.top='10px';
		$('entry_content_wrapper').style.top='0px';
	}
}

function confirm_open(){
	var obj = document.getElementsByName('isPublished');
	var i;
	for(i =0; i<obj.length; i++){
		if(obj[i].value == 1){
			break;
		}
	}
	
	
	
	if(obj[i].checked){
		return confirm("「公開」状態で新規作成しますがよろしいですか？");
	}else{
		return true;
	}
}

function confirm_trackback(){
	var obj = document.getElementsByName('isPublished');
	var i;
	for(i =0; i<obj.length; i++){
		if(obj[i].value == 1){
			break;
		}
	}
	
	var tr = document.getElementById("trackback_id");
	
	if(!obj[i].checked && tr.value.length != 0){
		return confirm("トラックバック送信先を入力されましたが、\n非公開状態ではトラックバックの送信は行われません。\n続行しますか？");
	}else{
		return true;
	}

}
